Bug 2251293 - Moby-engine is non-functional on Fedora 39: cannot marshal unknown type: *task.CreateTaskRequest: unknown.
Summary: Moby-engine is non-functional on Fedora 39: cannot marshal unknown type: *tas...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: moby-engine
Version: 39
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-11-24 00:15 UTC by Arcadiy Ivanov
Modified: 2023-12-08 01:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-08 01:39:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Arcadiy Ivanov 2023-11-24 00:15:42 UTC
Running any docker container after upgrade to Fedora 39 fails.This includes fresh installs of moby-engine on upgraded Fedora 39 and upgraded (and known to be functional) Fedora 38.

There is no known workaround.

Reproducible: Always

Steps to Reproduce:
1. dnf install moby-engine
2. systemctl enable --now docker
3. # docker run k8s.gcr.io/pause
Unable to find image 'k8s.gcr.io/pause:latest' locally
latest: Pulling from pause
a3ed95caeb02: Pull complete 
4964c72cd024: Pull complete 
Digest: sha256:a78c2d6208eff9b672de43f880093100050983047b7b0afe0217d3656e1b0d5f
Status: Downloaded newer image for k8s.gcr.io/pause:latest
docker: Error response from daemon: failed to create task for container: failed to create shim task: ttrpc: cannot marshal unknown type: *task.CreateTaskRequest: unknown.
ERRO[0001] error waiting for container:                 

Actual Results:  
# docker run k8s.gcr.io/pause
Unable to find image 'k8s.gcr.io/pause:latest' locally
latest: Pulling from pause
a3ed95caeb02: Pull complete 
4964c72cd024: Pull complete 
Digest: sha256:a78c2d6208eff9b672de43f880093100050983047b7b0afe0217d3656e1b0d5f
Status: Downloaded newer image for k8s.gcr.io/pause:latest
docker: Error response from daemon: failed to create task for container: failed to create shim task: ttrpc: cannot marshal unknown type: *task.CreateTaskRequest: unknown.
ERRO[0001] error waiting for container:                 


Expected Results:  
Container runs normally

```
# docker info
Client:
 Version:    24.0.5
 Context:    default
 Debug Mode: false

Server:
 Containers: 1
  Running: 0
  Paused: 0
  Stopped: 1
 Images: 1
 Server Version: 24.0.5
 Storage Driver: overlay2
  Backing Filesystem: btrfs
  Supports d_type: true
  Using metacopy: false
  Native Overlay Diff: true
  userxattr: false
 Logging Driver: journald
 Cgroup Driver: systemd
 Cgroup Version: 2
 Plugins:
  Volume: local
  Network: bridge host ipvlan macvlan null overlay
  Log: awslogs fluentd gcplogs gelf journald json-file local logentries splunk syslog
 Swarm: inactive
 Runtimes: io.containerd.runc.v2 runc
 Default Runtime: runc
 Init Binary: /usr/libexec/docker/docker-init
 containerd version: 
 runc version: 
 init version: 
 Security Options:
  seccomp
   Profile: builtin
  cgroupns
 Kernel Version: 6.5.11-200.fc38.x86_64
 Operating System: Fedora Linux 39 (Thirty Nine)
 OSType: linux
 Architecture: x86_64
 CPUs: 4
 Total Memory: 7.639GiB
 Name: fw1.<removed>
 ID: 315b3696-d496-4594-b17f-16b58962bb77
 Docker Root Dir: /var/lib/docker
 Debug Mode: false
 Experimental: false
 Insecure Registries:
  127.0.0.0/8
 Live Restore Enabled: true
```

Comment 1 Jan Pazdziora 2023-11-30 14:59:27 UTC
This looks like a duplicate of bug 2237396.

Comment 2 Laurent Rineau 2023-11-30 15:44:55 UTC
I agree that sucks. The maintainer should move back to `containerd-1.6.19-2.fc39` ASAP, in the repo, and then try to fix the issue.

There is a workaround, install containerd-1.6.19-2.fc39 directly from the Koji build:

    dnf install https://kojipkgs.fedoraproject.org//packages/containerd/1.6.19/2.fc39/x86_64/containerd-1.6.19-2.fc39.x86_64.rpm

Comment 3 Fedora Update System 2023-12-06 23:31:29 UTC
FEDORA-2023-f3d6f65e2f has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f3d6f65e2f

Comment 4 Fedora Update System 2023-12-07 01:48:56 UTC
FEDORA-2023-f3d6f65e2f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-f3d6f65e2f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f3d6f65e2f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-12-08 01:39:06 UTC
FEDORA-2023-f3d6f65e2f has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.